### Method

# Gimp Vectors stroke_get_length

#### Declaration [src]

    gdouble
    gimp_vectors_stroke_get_length (
      GimpVectors* vectors,
      gint stroke_id,
      gdouble precision
    )

#### Description [src]

Measure the length of the given stroke.

Measure the length of the given stroke.

Available since: | 2.4

#### Parameters

`stroke_id` | `gint`
| The stroke ID.
`precision` | `gdouble`
| The precision used for approximating straight portions of the stroke.

#### Return value

Returns: | `gdouble`
| The length (in pixels) of the given stroke.